{
    "layer": "top", // Waybar at top layer
    "position": "top", // Waybar position (top|bottom|left|right)
    // "width": 1280, // Waybar width
    // Choose the order of the modules
    "modules-left": ["hyprland/workspaces"],
    "modules-center": ["clock", "custom/music"],
    "modules-right": ["pulseaudio", "backlight", "battery", "tray", "custom/lock", "custom/power"],
    "hyprland/workspaces": {
          "disable-scroll": true
     },
    "tray": {
        "icon-size": 24,
        "spacing": 16
    },
    "custom/music": {
        "format": "♫ {}",
        "escape": true,
        "interval": 5,
        "tooltip": false,
        "exec": "playerctl metadata --format='{{ title }}'",
        "on-click": "playerctl play-pause",
        "max-length": 50
    },
    "clock": {
        "timezone": "Europe/London",
        "format": "{:%H:%M %d/%m/%Y}"
    },
    "backlight": {
        "format": "{icon} {percent}%",
        "format-icons": ["󰃚", "󰃛", "󰃜", "󰃝"]
    },
    "battery": {
        "states": {
            "warning": 30,
            "critical": 15
        },
        "format": "{icon} {capacity}%",
        "format-charging": "⚡ {capacity}%",
        "format-plugged": "🔌 {capacity}%",
        "format-alt": "{icon} {capacity}%",
        "format-icons": ["", "", "", "", ""],
        "interval": 3
    },
    "pulseaudio": {
        // "scroll-step": 1, // %, can be a float
        "format": "{icon} {format_source} {volume}%",
        "format-muted": " mute",
        "format-source": "",
        "format-source-muted": " src mute ",
        "format-icons": {
            "hdmi": ["", "", ""],
            "default": ["", "", ""]
        },
        "on-click": "pavucontrol"
    },
    "custom/lock": {
        "tooltip": false,
        "on-click": "sh -c '(hyprlock)' & disown",
        "format": "",
    },
    "custom/power": {
        "tooltip": false,
        "on-click": "wlogout &",
        "format": ""
    }
}
